#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
from onf_website.component.gallery.interfaces import IGalleryContainerTarget
from pyams_skin.viewlet.menu import MenuItem
from pyams_viewlet.viewlet import viewlet_config
from pyams_zmi.interfaces.menu import IPropertiesMenu
from pyams_zmi.layer import IAdminLayer

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces

# import packages

from onf_website import _


@viewlet_config(name='galleries.menu', context=IGalleryContainerTarget, layer=IAdminLayer,
                manager=IPropertiesMenu, permission='system.view', weight=320)
class GalleryContainerMenu(MenuItem):
    """Galleries container menu"""

    label = _("Images galleries...")
    icon_class = 'fa-picture-o'
    url = '#galleries.html'
