(function($) {

	if (window.ONF === undefined) {
		window.ONF = {};
	}

	ONF.TinyMCE = {

		initEditor: function(settings) {
			settings.plugins = settings.plugins + ' -onflinks';
			settings.toolbar1 = "newdocument undo redo | styleselect | bold italic | alignleft aligncenter" +
				" alignright alignjustify | bullist numlist outdent indent | onflinks link image";
			settings.image_list = ONF.TinyMCE.getImagesList;
			settings.link_list = ONF.TinyMCE.getLinksList;
			return settings;
		},

		getImagesList: function(callback) {
			return MyAMS.ajax.post('get-images-list.json', {}, callback);
		},

		getLinksList: function(callback) {
			return MyAMS.ajax.post('get-links-list.json', {}, callback);
		}
	}

})(jQuery);
