(function($) {

	if (window.ONF === undefined) {
		window.ONF = {};
	}

	ONF.Skin = {

		extfiles: {

			refresh: function(options) {
				if (typeof(options) == 'string')
					options = JSON.parse(options);
				var select = $('select[name="form.widgets.files:list"]');
				var plugin = select.data('select2');
				$('<option></option>').attr('value', options.new_file.id)
									  .attr('selected', 'selected')
									  .text(options.new_file.text)
									  .appendTo(select);
				var data = select.select2('data');
				data.push(options.new_file);
				select.select2('data', data);
				plugin.results.empty();
				plugin.opts.populateResults.call(plugin, plugin.results, options.files, {term: ''});
			}
		},


		links: {

			refresh: function(options) {
				if (typeof(options) == 'string')
					options = JSON.parse(options);
				var select = $('select[name="form.widgets.links:list"]');
				var plugin = select.data('select2');
				$('<option></option>').attr('value', options.new_link.id)
									  .attr('selected', 'selected')
									  .text(options.new_link.text)
									  .appendTo(select);
				var data = select.select2('data');
				data.push(options.new_link);
				select.select2('data', data);
				plugin.results.empty();
				plugin.opts.populateResults.call(plugin, plugin.results, options.links, {term: ''});
			}
		}
	}

})(jQuery);
