#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.shared.common.interfaces import ISharedTool, IWfSharedContent, ISharedContent

# import packages


NEWS_CONTENT_TYPE = 'news'


class INewsManager(ISharedTool):
    """News manager interface"""


class IWfNewsEvent(IWfSharedContent):
    """News event interface"""


class INewsEvent(ISharedContent):
    """Workflow managed news event interface"""
